Description: AfterStep Window Manager (NeXTStep-like version of FVWM)
#Summary: AfterStep Window Manager (NeXTStep-like version of FVWM)
Name: AfterStep
Version: 1.0
Release: 1
Packager: edo@eosys.com (Ed Orcutt)
Icon: afterstep2.gif
Copyright: GPL
Source: ftp://afterstep.foo.net/pub/AfterStep/AfterStep-1.0.tar.gz
URL: http://afterstep.edoc.com/
Group: X11/Window Managers
Buildroot: /var/tmp/AfterStep-1.0

#%description
#AfterStep is a continuation of the BowMan window manager which was
#originally put together by Bo Yang.  BowMan was based on the fvwm
#window manager, written by Robert Nation.  Fvwm was based on code from
#twm.  And so on...  It was originally designed to emulate some of the
#look and feel of the NEXTSTEP user interface, but has since taken
#steps towards adding more useful, requested, and neat features.  The
#changes which comprise AfterStep's personality were originally part of
#bowman development, but due to a desire to move past simple emulation
#and into a niche as its own valuable window manager, the current
#designers decided to change the project name and move on.

%prep
%setup

%build
#xmkmf
./MakeMakefiles
make all

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -s      afterstep/afterstep         $RPM_BUILD_ROOT/usr/X11R6/bin/afterstep

mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/afterstep
install -c -m 0444 sample.steprc               $RPM_BUILD_ROOT/usr/lib/X11/afterstep/system.steprc
install -c -s      modules/Audio/Audio         $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Audio
install -c -s      modules/Auto/Auto           $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Auto
install -c -s      modules/Wharf/Wharf         $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Wharf
install -c -s      modules/Banner/Banner       $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Banner
install -c -s      modules/Pager/Pager         $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Pager
install -c -s      modules/Animate/Animate     $RPM_BUILD_ROOT/usr/lib/X11/afterstep/Animate
install -c -s      modules/asclock/asclock     $RPM_BUILD_ROOT/usr/X11R6/bin/asclock

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 0444 afterstep/afterstep.man     $RPM_BUILD_ROOT/usr/X11R6/man/man1/afterstep.1x
install -c -m 0444 modules/Audio/Audio.man     $RPM_BUILD_ROOT/usr/X11R6/man/man1/Audio.1x
install -c -m 0444 modules/Auto/Auto.man       $RPM_BUILD_ROOT/usr/X11R6/man/man1/Auto.1x
install -c -m 0444 modules/Wharf/Wharf.man     $RPM_BUILD_ROOT/usr/X11R6/man/man1/Wharf.1x
install -c -m 0444 modules/Banner/Banner.man   $RPM_BUILD_ROOT/usr/X11R6/man/man1/Banner.1x
install -c -m 0444 modules/Pager/Pager.man     $RPM_BUILD_ROOT/usr/X11R6/man/man1/Pager.1x
install -c -m 0444 modules/asclock/asclock.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/asclock.1x
install -c -m 0444 modules/Animate/Animate.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/Animate.1x

mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps
install -c -m 0444 icons/*.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps

mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/afterstep/backgrounds
install -c -m 0444 backgrounds/* $RPM_BUILD_ROOT/usr/lib/X11/afterstep/backgrounds

mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/afterstep/sounds
install -c -m 0444 sounds/* $RPM_BUILD_ROOT/usr/lib/X11/afterstep/sounds

%clean
DESTDIR=$RPM_BUILD_ROOT; export DESTDIR
[ -n "`echo $DESTDIR | sed -n 's:^/var/tmp/[^.].*$:OK:p'`" ] && rm -rf $DESTDIR ||
(echo "\$DESTDIR='$DESTDIR' not in '/var/tmp'?! Check your .spec..."; exit 1)

%files
%doc CHANGES CREDITS FAQ README README.8bit module-interface.txt sample.steprc
/usr/X11R6/bin/afterstep
/usr/X11R6/bin/asclock
/usr/lib/X11/afterstep
/usr/X11R6/man/man1/afterstep.1x
/usr/X11R6/man/man1/Audio.1x
/usr/X11R6/man/man1/Auto.1x
/usr/X11R6/man/man1/Wharf.1x
/usr/X11R6/man/man1/Banner.1x
/usr/X11R6/man/man1/Pager.1x
/usr/X11R6/man/man1/asclock.1x
/usr/X11R6/man/man1/Animate.1x
/usr/include/X11/pixmaps
