.\" t
.\" @(#)Clean.1	1/12/94
.TH Clean 1.20 "Jan 28 1994"
.UC
.SH NAME
Clean \- the AfterStep desktop clutter reduction module
.SH SYNOPSIS
Clean is spawned by AfterStep, so no command line invocation will work.

.SH DESCRIPTION
The Clean module performs actions on windows which have not had
the keyboard focus for a specific length of time. This is intended to
help alleviate the problem of leaving programs running in unused
portions of your desktop.

Clean reads the same .steprc file as AfterStep reads when it starts up,
and looks for lines similar to "*NoClutter 3600 Iconify".

.SH COPYRIGHTS
The Clean program, and the concept for
interfacing this module to the Window Manager, are all original work
by Robert Nation

Copyright 1994, Robert Nation. No guarantees or warranties or anything
are provided or implied in any way whatsoever. Use this program at your
own risk. Permission to use this program for any purpose is given,
as long as the copyright is kept intact. 


.SH INITIALIZATION
During initialization, \fIClean\fP will eventually search a 
configuration file which describes the time-outs and actions to take.
The configuration file is the same file that AfterStep used during
initialization.

If the Clean executable is linked to another name, ie ln -s
Clean OtherClutter, then another module called OtherClutter can be
started, with a completely different configuration than Clean,
simply by changing the keyword  Clean to OtherClutter. This way multiple
clutter-reduction programs can be used.

.SH INVOCATION
Clean can be invoked by inserting the line 'Module Clean' in
the .steprc file. This can be placed on a line by itself, if Clean
is to be spawned during AfterStep's initialization, or can be bound to a
menu or mouse button or keystroke to invoke it later. AfterStep will search
directory specified in the ModulePath configuration option to attempt
to locate Clean.

.SH CONFIGURATION OPTIONS
Clean reads the same .steprc file as AfterStep reads when it starts up,
and looks for lines similar to "*Clean 3600 Iconify". The format
of these lines is "*Clean [time] [command]", where command is any
AfterStep built-in command, and time is the time in seconds between when a
window looses focus and when the command is executed. At most 3
actions can be specified.


.SH AUTHOR
Robert Nation 

