/*
 * config.h- default configuration and definitions 
 */ 
/*
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef WMCONFIG_H_
#define WMCONFIG_H_

/* max. number of modules to be handled */
#define MAX_MODULES		16

/* list of paths to look for the config files, searched in order
 * of appearance */

#define DEF_CONFIG_PATHS \
"~/Library/WindowMaker/:/etc/X11/WindowMaker/:/usr/lib/X11/WindowMaker/"

/* root menu definition */
#define DEF_MENUCONFIG		"menu"
/* preference file */
#define DEF_PREFERENCES		"preferences"
/* pixmap path */
#define DEF_PIXMAP_PATHS	"/usr/lib/X11/icons/:~/pix/"

/* window title to use for untitled windows */
#define DEF_WINDOW_TITLE "Untitled"

/* default style */
#define DEF_FRAME_COLOR "white"
#define DEF_FOCUSED_TEXTURE_COLOR "black"
#define DEF_UNFOCUSED_TEXTURE_COLOR "gray"
#define DEF_ICON_TEXTURE_COLOR "gray"
#define DEF_TITLE_FONT "-adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*"
#define DEF_MENU_TITLE_FONT "-adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*"
#define DEF_MENU_ENTRY_FONT "-adobe-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*"
#define DEF_ICON_TITLE_FONT "-adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*"
#define DEF_PANEL_TITLE_FONT "-adobe-helvetica-medium-r-*-*-20-*-*-*-*-*-*-*"
#define DEF_PANEL_TEXT_FONT "-adobe-helvetica-medium-r-*-*-13-*-*-*-*-*-*-*"
#define DEF_INFO_TEXT_FONT "-adobe-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*"

#define DEF_FOCUSED_TEXT_COLOR "white"
#define DEF_UNFOCUSED_TEXT_COLOR "black"

#define DEF_FRAME_THICKNESS 2	       /* linewidth of the move/resize frame */

/* double click delay time in ms */
#define DEF_DBLCLICK_TIME 200 

#define DEF_XPM_CLOSENESS	40000 

/* animation parameters */
#define SHADE_ANIMATION_STEPS	35
#define SHADE_ANIMATION_DELAY 	0
#define MINIATURIZE_ANIMATION_STEPS 25
#define MINIATURIZE_ANIMATION_DELAY 200

/*----------------------------------------------------------------------*/

#define FRAME_BORDER_WIDTH 1	       /* width of window border for frames */

#define HANDLE_HEIGHT 8		       /* height of the resize handle */
#define HANDLE_MIN_WIDTH 30	       /* min. width of handles-corner_width */
#define HANDLE_CORNER_WIDTH 28	       /* width of the corner of handles */


/* minimal size for windows */
#define MIN_WSIZE	6

/* button info */
#define MAX_LBUTTONS 	1	       /* max. no of buttons at left of tbar */
#define MAX_RBUTTONS 	1	       /* max. no of buttons at right */

#ifdef NEWSTYLE
#define PRED_BPIXMAPS	12
#else
#define PRED_BPIXMAPS	6	       /* number of predefined button pixmaps*/
#endif

#define ICON_WIDTH	64	       /* size of the icon window */
#define ICON_HEIGHT	64
#define ICON_BORDER_WIDTH 2

#define MAX_ICON_WIDTH	48	       /* size of the icon pixmap */
#define MAX_ICON_HEIGHT 48
#endif /* WMCONFIG_H_ */
