/*
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef WMPIXMAP_H_
#define WMPIXMAP_H_



typedef struct WPixmap {
    Pixmap pixmap;		       /* icon pixmap */
    Pixmap mask;		       /* icon mask */
    int width, height;		       /* size of pixmap */
    short depth;		       /* depth of pixmap */
    short shared;
} WPixmap;



WPixmap *wPixmapCreateFromXPMData(WScreen *scr, char **data);
WPixmap *wPixmapLoadXPMFile(WScreen *scr, char *path);
WPixmap *wPixmapLoadXBMFile(WScreen *scr, char *path, char *mask_path);

void wPixmapDestroy(WPixmap *pix);


#endif
