

#include <X11/Xlib.h>
#include <X11/Xproto.h>
#include <stdlib.h>
#include "../GNUstep.h"




Atom _XA_GNUSTEP_WM_ATTR;

Display *dpy;


void
PropWriteGNUStepAttr(Window window, GNUstepAttributes *attr)
{
    attr->unknown=0;
    attr->unknown2=0;
    attr->window_level=0;
    XChangeProperty(dpy, window, _XA_GNUSTEP_WM_ATTR, _XA_GNUSTEP_WM_ATTR, 
		    32, PropModeReplace,  (unsigned char *)attr, 
		    sizeof(GNUstepAttributes)/sizeof(CARD32));
}



int main(int argc, char **agv)
{
    Window win;
    Window root;
    GNUstepAttributes attr;

    if (argc<2) {
	puts("You must supply a value for the window flags (0-15)");
	puts("Titled=1, Closable=2, Miniaturizable=4,Resizable=8");

	exit(1);
    }
    
    dpy = XOpenDisplay("");
    if (!dpy) {
	puts("Could not open display");
	abort();
    }
    _XA_GNUSTEP_WM_ATTR = XInternAtom(dpy, "_GNUSTEP_WM_ATTR", False);

    root = DefaultRootWindow(dpy);
    win = XCreateSimpleWindow(dpy, root, 10, 10, 100, 60, 0, 0, 1);
    attr.window_flags = atoi(agv[1]);
    PropWriteGNUStepAttr(win, &attr);
    XStoreName(dpy, win, "Test Window");
    XMapRaised(dpy,win);
    XFlush(dpy);
    getchar();
    
    return 0;
}
