/*
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "wconfig.h"

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>

#include "generic/wwmlib.h"
#include "WindowMaker.h"
#include "wcore.h"
#include "button.h"
#include "menu.h"
#include "actions.h"
#include "funcs.h"


/*
 * Menu specification format (in a property):
 *
 * Menus:
 * Title - code\0
 * 
 * Items:
 * Title - code - shortcut\0
 * 
 * 
 * Codes:
 * 1 - main-menu definition
 * 2 - submenu definition
 * 3 - command entry def
 * 4 - submenu entry def
 * 
 * 
 * Ex.:
 * 
 * Cmd Idx  Text
 * 0 	0   FooEdit
 * 3 	2   File
 * 3	3   
 * 3	0   Quit
 * 
 * 1 	2   File
 * 2 	3   Save [keycodes]
 * 2 	4   Load [keycodes]
 * 
 * 1	5   
 */



