/* 
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "wconfig.h"

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "generic/wwmlib.h"
#include "WindowMaker.h"
#include "GNUstep.h"
#include "version.h"

extern *DisplayName;

#ifdef USECPP
void
putdef(char *line, char *name, char *value)
{
    strcat(line, name);
    strcat(line, value);
}



void
putidef(char *line, char *name, int value)
{
    char tmp[64];
    sprintf(tmp, "%i", value);
    strcat(line, name);
    strcat(line, tmp);
}

       
char *
MakeCPPArgs()
{
    int i;
    char buffer[MAXLINE], *buf, *line;
    Visual *visual;
    
    line = wmalloc(MAXLINE);
    *line = 0;
    i=1;
    if (gethostname(buffer, MAXLINE)==0) {
	putdef(line, " -DHOSTNAME=", buffer);
    }
    putdef(line, " -DUSER=", getlogin());
    putidef(line, " -DUID=", getuid());
    buf = XDisplayName(DisplayString(dpy));
    putdef(line, " -DDISPLAY=", buf);
    putidef(line, " -DMAJ_VERSION=", MAJ_VERSION);
    putidef(line, " -DMIN_VERSION=", MIN_VERSION);
    
    
    visual = DefaultVisual(dpy, DefaultScreen(dpy));
    putidef(line, " -DVISUAL=", visual->class);
    
    putidef(line, " -DDEPTH=", DefaultDepth(dpy, DefaultScreen(dpy)));

    putidef(line, " -DSCR_WIDTH=", WidthOfScreen(DefaultScreenOfDisplay(dpy)));
    putidef(line, " -DSCR_HEIGHT=", 
	    HeightOfScreen(DefaultScreenOfDisplay(dpy)));
    
#ifdef XPM
    strcat(line, " -DXPM");
#endif
#ifdef DITHERING
    strcat(line, " -DDITHERING");
#endif
    
#undef arg
    return line;
}
#endif /* USECPP */




int
LevelToIndex(int level)
{
    switch (level) {
     case NSNormalWindowLevel:
	return 0;
     case NSFloatingWindowLevel:
	return 1;
     case NSDockWindowLevel:
	return 2;
     case NSSubmenuWindowLevel:
	return 3;
     case NSMainMenuWindowLevel:
	return 4;
     default:
	return 0;
    }
}
