/*
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef WMTEXTURE_H_
#define WMTEXTURE_H_

#define WREL_FLAT	0
#define WREL_RAISED	1
#define WREL_SUNKEN	2
#define WREL_PUSHED	3
#define WREL_RAISED2	4


#define WB_NONE		0
#define WB_TITLEBAR	2
#define WB_NORMAL	3
#define WB_ICON		4

#define WTEX_SOLID 	0
#define WTEX_PIXMAP	1


typedef struct W3DRelief {
    short type;
    GC light_gc, dim_gc, dark_gc;
    XColor light, dim, dark;
} W3DRelief;


typedef struct {
    int type;
    W3DRelief *relief;
    XColor color;
    GC gc;
    int width, height;
    struct RImage *image;
    Pixmap pixmap;		       /* for XSetWindowBackgroundPixmap() */
} WTexture;



WTexture *wTextureCreate();
void wTextureDestroy();
void wTextureSetSolidColor();
void wTexturePaint();





#endif
