#!/usr/local/bin/wishstep -f
#
#  WindowMaker window manager - window attribute configuration
# 
#  Copyright (c) 1997 Alfredo K. Kojima
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


proc build_panel {win} {
	global WTitle WClass WInstance

	set wspec [frame $win.wid -relief raised -bd 1]

# window name and specification
	label $wspec.wname_ -text "$WTitle"
	label $wspec.wspec_ -text "$WClass.$WInstance"
	pack $wspec.wname_  -side top -anchor w -expand y -fill x
	pack $wspec.wspec_ -side bottom -anchor sw -expand y -fill x
	pack $wspec -side top -expand y -fill x
# attributes
	set wattr [frame $win.attr -relief raised -bd 1]
	set left [frame $wattr.left]
	set right [frame $wattr.right]
	checkbutton $left.c1 -text Titlebar -variable WTitle
	checkbutton $left.c2 -text Closeble -variable WClose
	checkbutton $left.c3 -text Miniaturizable -variable WMini
	checkbutton $left.c4 -text Resizable -variable WResize
	checkbutton $left.c5 -text Shadeable -variable WShade
	checkbutton $left.c6 -text Focusable -variable WFocus
	
	checkbutton $right.c1 -text "All Workspaces" -variable WWorks
	checkbutton $right.c2 -text Floating -variable WFloat
	checkbutton $right.c3 -text "Full kbd access" -variable WKbd
	checkbutton $right.c4 -text "Full mouse access" -variable WMouse
	
	pack $left.c1 $left.c2 $left.c3 $left.c4 $left.c5 $left.c6 -side top\
		-anchor w
	pack $right.c1 $right.c2 $right.c3 $right.c4 -side top -anchor w
	pack $left $right -side left -expand y -fill x
	pack $wattr -side top -expand y -fill x
# icon
	set wicon [frame $win.ico -relief raised -bd 1]
	set wicon2 [frame $wicon.ico -relief flat]

	entry $wicon2.icon
	image create photo icon -width 64 -height 64
	button $wicon.view -image icon
	pack $wicon.view -side left -padx 5 -pady 5

	button $wicon2.find -text "Browse..." -pady 1
	pack $wicon2.icon -side top -padx 10 -pady 5 -anchor e\
		-expand y -fill x
	pack $wicon2.find -side top -padx 10 -pady 5 -anchor e
	pack $wicon2 -side left -expand y -fill x
	pack $wicon -side top -expand y -fill x
# buttons
	set wbut [frame $win.but -relief raised -bd 1]
	button $wbut.apply -text "Apply" -pady 1
	button $wbut.save -text "Save" -pady 1
	button $wbut.close -text "Default" -pady 1
	pack $wbut.save $wbut.apply $wbut.close -side left -expand y -fill x\
		-pady 10 -padx 5
	pack $wbut -side bottom -expand y -fill both
}


set WTitle [lindex $argv 0]
set WClass [lindex $argv 1]
set WInstance [lindex $argv 2]
wm title . "Window Attributes"
wm geometry . +100+100
wm transient . .
build_panel .


