

#include <X11/Xlib.h>
#include <X11/Xproto.h>
#include <X11/Xatom.h>
#include <stdlib.h>
#include <stdio.h>



Display *dpy;





int main(int argc, char **agv)
{
    Window win;
    Window root;
    char *buffer, *bufstart;
    int bufsize;
    XEvent event;
    Atom _XA_WINDOWMAKER_MENU, _XA_CLIENT_LEADER, _XA_WINDOWMAKER_PROT;
    

    bufstart = buffer = malloc(100000);
    bufsize = 0;
    if (!buffer) {
	puts("malloc() failed");
	abort();
    }
    dpy = XOpenDisplay("");
    if (!dpy) {
	puts("Could not open display");
	abort();
    }

    _XA_WINDOWMAKER_MENU = XInternAtom(dpy, "_WINDOWMAKER_MENU", False);
    _XA_WINDOWMAKER_PROT = XInternAtom(dpy, "_WINDOWMAKER_WM_PROTOCOLS", False);
    _XA_CLIENT_LEADER = XInternAtom(dpy, "WM_CLIENT_LEADER", False);
    
    root = DefaultRootWindow(dpy);
    win = XCreateSimpleWindow(dpy, root, 1, 1, 100, 60, 0, 0, 1);
    XStoreName(dpy, win, "Test Window");
    
    /* header */
    *(short*)buffer = 3; buffer+=2;
    *(short*)buffer = 1; buffer+=2;
    
    /* main menu */
    *(int*)buffer = 1; buffer+=4; /* cmd */
    *(int*)buffer = 1; buffer+=4; /* idx */
    *(int*)buffer = 0; buffer+=4; /* ptr */
    *(int*)buffer = 1; buffer+=1; /* enabled */
    *buffer = strlen("Menu Demo")+1; buffer++;
    strcpy(buffer, "Menu Demo"); buffer+=strlen("Menu Demo")+1;
    buffer++;
    
    /* commands */
    *(int*)buffer = 3; buffer+=4; /* cmd */
    *(int*)buffer = 2; buffer+=4; /* idx */
    *(int*)buffer = 1; buffer+=4; /* ptr */
    *(int*)buffer = 1; buffer+=1; /* enabled */
    *buffer = strlen("Dummy")+1; buffer++;
    strcpy(buffer, "Dummy"); buffer+=strlen("Dummy")+1;
    buffer++;
    
    *(int*)buffer = 3; buffer+=4; /* cmd */
    *(int*)buffer = 3; buffer+=4; /* idx */
    *(int*)buffer = 1; buffer+=4; /* ptr */
    *(int*)buffer = 1; buffer+=1; /* enabled */
    *buffer = strlen("Quit")+1; buffer++;
    strcpy(buffer, "Quit"); buffer+=strlen("Quit")+1;
    buffer++;
    
    bufsize = buffer - bufstart;

    XChangeProperty(dpy, win, _XA_WINDOWMAKER_MENU, XA_STRING, 8,
		    PropModeReplace, bufstart, bufsize);

    *(Window*)bufstart = win;
    XChangeProperty(dpy, win, _XA_CLIENT_LEADER, XA_WINDOW, 32,
		    PropModeReplace, bufstart, 1);
    XSelectInput(dpy, win, ExposureMask);
    XMapRaised(dpy,win);
    XFlush(dpy);
    while (1) {
	XNextEvent(dpy, &event);
	switch (event.type) {
	 case ClientMessage:
	    if (event.xclient.message_type == _XA_WINDOWMAKER_PROT) {
		switch (event.xclient.data.l[1]) {
		case 2:	
			puts("DUMMY PUSHED");
			break;
		 case 3:
			puts("EXIT PUSHED");
		    exit(1);
		}
	    }
	}
    }
    
    return 0;
}
