/*
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef WMAPPLICATION_H_
#define WMAPPLICATION_H_


/* for tracking single application instances */
typedef struct WApplication {
    struct WWindow *main_window;       /* group leader */
    Window main_window_id;	       /* ID of the group leader */
    LinkedList *subwindows;	       /* list with all windows */

    WMenu *menu;		       /* application menu */
    
    struct {
	int hidden:1;		       /* application is hidden */
	
	int dock_icon:1;	       /* app was launched from Wharf */
    } flags;
} WApplication;


void wApplicationInitialize();

WApplication *wApplicationCreate();
WApplication *wApplicationAddWindowFor(Window mainWindow, 
				       struct WWindow *subwindow);
void wApplicationDestroy(WApplication *wapp);
void wApplicationRemoveWindow(WApplication *wapp, struct WWindow *window);


#endif
