



#include <X11/Xlib.h>



int main()
{
    Display *dpy;
    Window win;
    Atom delete_win, miniaturize_win;
    Atom prots[2];

    
    dpy = XOpenDisplay("");
    if (!dpy) {
	puts("could not open display!");
	exit(1);
    }
    delete_win = XInternAtom(dpy, "WM_DELETE_WINDOW", False);
    miniaturize_win = XInternAtom(dpy, "_GNUSTEP_WM_MINIATURIZE_WINDOW", 
				  False);
    win = XCreateSimpleWindow(dpy, DefaultRootWindow(dpy), 10, 10, 100, 100,
			      0, 0, 0);
    prots[0] = delete_win;
    prots[1] = miniaturize_win;
    XSetWMProtocols(dpy, win, prots, 2);
    XStoreName(dpy, win, "Test Window");
    XMapRaised(dpy, win);
    XFlush(dpy);
    while (1) {
	XEvent ev;
	XNextEvent(dpy, &ev);
	if (ev.type==ClientMessage) {
	    if (ev.xclient.data.l[0]==delete_win) {
		puts("You've pushed the close window button");
	    } else if (ev.xclient.data.l[0]==miniaturize_win) {
		puts("You've pushed the miniaturize window button");
	    }
	}
    }
}

