/* dicon.h- individual Dock icon
 * 
 *  WindowMaker window manager
 * 
 *  Copyright (c) 1997 Alfredo K. Kojima
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef WMDICON_H_
#define WMDICON_H_

#include "wcore.h"
#include "window.h"
#include "icon.h"
#include "application.h"

typedef struct WDockIcon {
    struct WDockIcon *next;	       /* list of dock icons */
    struct WDockIcon *prev;
    
    WIcon *icon;
    
    int x_pos, y_pos;		       /* absolute screen coordinate */

    char *command;		       /* command to use to open the app */
    				       /* OR full path of the .App wrapper*/
    char *icon_file;

    int top_icon:1;		       /* if it's the top icon*/
    int gnustep_app:1;		       /* if this is a GNUstep application */
} WDockIcon;


#endif
