/*
 * Application to window manager communications
 * 
 * 
 * Copyright (c) 1996 by Alfredo K. Kojima
 */

#ifndef WM_GNUSTEP_H
#define WM_GNUSTEP_H
#include <X11/Xmd.h>

/* functions */
#define GNUSTEP_FUNC_ALL	(1<<0)
#define GNUSTEP_FUNC_RESIZE	(1<<1)
#define GNUSTEP_FUNC_MOVE       (1<<2)
#define GNUSTEP_FUNC_MINIMIZE	(1<<3)
#define GNUSTEP_FUNC_MAXIMIZE	(1<<4)
#define GNUSTEP_FUNC_CLOSE	(1<<5)

/* decorations */
#define GNUSTEP_DECOR_ALL		(1<<0)
#define GNUSTEP_DECOR_TITLEBAR		(1<<1)
#define GNUSTEP_DECOR_HANDLE		(1<<2)

#define GNUSTEP_DECOR_SIZE_BUTTON	(1<<3)  /* default is minimize */
#define GNUSTEP_DECOR_SIZE_MAXIMIZE	(1<<4)

#define GNUSTEP_DECOR_CLOSE_BUTTON	(1<<5) /* default is normal cross */
#define GNUSTEP_DECOR_CLOSE_BROKEN	(1<<6)

/* GNUStep  window DECORs */
typedef struct {
    CARD32      functions;
    CARD32      decorations;
} PropGNUStepHints;



typedef struct {
    CARD16	entryID;	/* the identifier for the entry */
    CARD32	shortcut;	/* the keyboard shortcut keysym */
    CARD16	cascade;	/* menu to cascade. 0 for no cascade */    
    CARD16	length;		/* length of the entry string */
/* STRING	title */
} GNUStepMenuEntry;

/* window manager side menus */
typedef struct {
    CARD16	menuID;		/* identifier for the menu */
    CARD16	length;		/* length of the title text */
    CARD16	count;		/* number of entries */
    /* STRING 	title */    
    /* entries */
} GNUStepMenu;

#endif
