
#include <X11/Xlib.h>
#include "wmgnustep.h"

Atom GNUSTEP_WM_HINT;


void main(int argc, char **argv)
{
    Display *Disp,*dpy;
    Window Wind, root;
    int i;
    XWindowAttributes root_attr;
    PropGNUStepHints props;
    int decos;
    
    if (argc==1) {
	printf("This is a test program for the new GNUStep appkit support\n");
	printf("features added to AfterStep\n\n");
	printf("You must specify these values as parameters:\n");
	printf("title - draw titlebar\nhandle - draw handle\n");
	printf("maximize - draw maximize button\nminimize - draw minimize button\n");
	printf("close - draw close button\nbroken - draw broken close button\n");
	printf("Note: maximize/minimize and close/broken cant be specified tovgether\n");
    }
    decos=0;
    for(i=1;i<argc;i++) {
	if (strcmp(argv[i],"title")==0) 
	    decos|=GNUSTEP_DECOR_TITLEBAR;
	else if (strcmp(argv[i],"handle")==0)
	  decos|=GNUSTEP_DECOR_HANDLE;
	else if (strcmp(argv[i],"maximize")==0)
	  decos|=GNUSTEP_DECOR_SIZE_MAXIMIZE|GNUSTEP_DECOR_SIZE_BUTTON;
	else if (strcmp(argv[i],"minimize")==0) 
	  decos|=GNUSTEP_DECOR_SIZE_BUTTON;
	else if (strcmp(argv[i],"close")==0)
	  decos|=GNUSTEP_DECOR_CLOSE_BUTTON;
	else if (strcmp(argv[i],"broken")==0)
	  decos|=GNUSTEP_DECOR_CLOSE_BUTTON|GNUSTEP_DECOR_CLOSE_BROKEN;
	}
	  
    }
    if ((Disp=XOpenDisplay(""))==NULL)
    {
        printf("xtest: can't open display\n");
        exit(1);
    }
    
    
    GNUSTEP_WM_HINT=XInternAtom(Disp,"_GNUSTEP_WM_HINTS", True);
    if (GNUSTEP_WM_HINT==None) {
	printf("Unsupported window manager\n");
	XCloseDisplay(Disp);
	exit(1);
    }
	   
	   
    Wind=XCreateSimpleWindow(Disp,DefaultRootWindow(Disp),0,0,
			     400,300,0,0,0);
    props.functions = GNUSTEP_FUNC_ALL;
    props.decorations = decos;
    
    
    
    
    XChangeProperty(Disp,Wind,GNUSTEP_WM_HINT,GNUSTEP_WM_HINT,
		    32,PropModeReplace,(int*)&props,2);

    XMapRaised(Disp,Wind);
    XFlush(Disp);
    printf("press return to quit \n");
    getchar();
    XCloseDisplay(Disp);
}


