/*
 * GraphicalUtilities.h -- Header for the GraphicalUtilities module
 *
 * This file is part of the libXas project.
 * Copyright (c) 1997 Sbastien Phlep (phelep@iu-vannes.fr)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _GRAPHICAL_UTILITIES_H_
#define _GRAPHICAL_UTILITIES_H_

/* New types definitions */
typedef unsigned long Pixel;	/* Index into colormap (as defined in xpm.h) */
extern Pixel xasBlack, xasGrey, xasGrey44, xasGrey60, xasGrey90, xasAntqw3;
extern Display *xasDisplay;

/* Definitions to say how to draw an object's border */
#define XAS_RELIEF_FTBOX	0	/* flat box */
#define XAS_RELIEF_UPBOX	1	/* up box */
#define XAS_RELIEF_DNBOX	2	/* down box */

/* Prototypes for this module's function */
extern void	_XasDrawObjectBorder(Window box_w, GC box_c, int state);
extern Pixel	_XasGetPixel(char *name);

#endif	/* _GRAPHICAL_UTILITIES_H_ */
