# This will search for a cdrom-ROM on the known Linux cdrom devices.
# If one is found, it is mounted under $MOUNTPOINT.

MOUNTPOINT="/cdrom"
unset SKIP
if mount | fgrep "on $MOUNTPOINT " 1> /dev/null 2> /dev/null ; then
  umount /cdrom
  echo -n "Unmounting CD ROM... "
  SKIP=1
elif [ ! -d $MOUNTPOINT ]; then
  umount /cdrom
  echo -n "Unmounting CD ROM... "
  SKIP=1
fi
if [ ! "$SKIP" = "1" ]; then
  unset MOUNT
  echo -n "Checking for a cdrom... "
  for device in cdrom scd0 scd1 sonycd cdu535 mcd sbpcd aztcd cm206cd gscd0 \
mcdx0 mcdx1 optcd0 sjcd lmscd hdd hdc hdb hda hde hdf hdg hdh ; do # check for a CD-ROM drive with a disc in it.
    if mount -t iso9660 -o ro /dev/$device $MOUNTPOINT 1> /dev/null 2> /dev/null ; then
      MOUNT=1
      if [ ! "$device" = "cdrom" ]; then
        rm -f /dev/cdrom
        ln -sf /dev/$device /dev/cdrom
      fi
      break;
    fi
  done
  if [ "$MOUNT" = "1" ]; then # mount successful
    echo "found on /dev/$device."
    echo -n "Mounted $device..."
  else
    echo "no cdrom found."
  fi
fi
