# This will search for a floppy-ROM on the known Linux floppy devices.
# If one is found, it is mounted under $MOUNTPOINT.

MOUNTPOINT="/floppy"
unset SKIP
if mount | fgrep "on $MOUNTPOINT " 1> /dev/null 2> /dev/null ; then
  umount /floppy
  echo -n "Unmounting floppy drive... "
  SKIP=1
elif [ ! -d $MOUNTPOINT ]; then
  umount /floppy
  echo -n "Unmounting floppy drive... "
  SKIP=1
fi
if [ ! "$SKIP" = "1" ]; then
  unset MOUNT
  echo -n "Checking for a floppy... "
  for device in floppy fd0 ; do # check for a floppy-ROM drive with a disc in it.
    if mount -t vfat /dev/$device $MOUNTPOINT 1> /dev/null 2> /dev/null ; then
      MOUNT=1
      if [ ! "$device" = "floppy" ]; then
        rm -f /dev/floppy
        ln -sf /dev/$device /dev/floppy
      fi
      break;
    fi
  done
  if [ "$MOUNT" = "1" ]; then # mount successful
    echo "found on /dev/$device."
    echo -n "Mounted $device..."
  else
    echo "no floppy found."
  fi
fi
