# This will search for a syquest-ROM on the known Linux syquest devices.
# If one is found, it is mounted under $MOUNTPOINT.

MOUNTPOINT="/syquest"
unset SKIP
if mount | fgrep "on $MOUNTPOINT " 1> /dev/null 2> /dev/null ; then
  umount /syquest
  echo -n "Unmounting syquest SCSI removable drive... "
  SKIP=1
elif [ ! -d $MOUNTPOINT ]; then
  umount /syquest
  echo -n  "Unmounting syquest SCSI removable drive... "
  SKIP=1
fi
if [ ! "$SKIP" = "1" ]; then
  unset MOUNT
  echo -n "Checking for a syquest... "
  for device in syquest sda1 ; do # check for a syquest-ROM drive with a disc in it.
    if mount -t vfat /dev/$device $MOUNTPOINT 1> /dev/null 2> /dev/null ; then
      MOUNT=1
      if [ ! "$device" = "syquest" ]; then
        rm -f /dev/syquest
        ln -sf /dev/$device /dev/syquest
      fi
      break;
    fi
  done
  if [ "$MOUNT" = "1" ]; then # mount successful
    echo "found on /dev/$device... "
    echo -n "Mounted $device..."
  else
    echo "no syquest found."
  fi
fi
